std::__detail::_SpecializedResults< _FwdIterT, _Alloc > Class Template Reference
Base and Implementation Classes
Inheritance diagram for std::__detail::_SpecializedResults< _FwdIterT, _Alloc >:
[legend]

## Public Member Functions

| _SpecializedResults (const _Automaton::_SizeT __size, const _SpecializedCursor< _FwdIterT > &__cursor, match_results< _FwdIterT, _Alloc > &__m)
void | _M_assign (const _Results &__rhs)
std::unique_ptr< _Results > | _M_clone () const
void | _M_set_matched (int __i, bool __is_matched)
void | _M_set_pos (int __i, int __j, const _PatternCursor &__pc)
void | _M_set_range (int __i, const _PatternCursor &__pc)

## Detailed Description

### template<typename _FwdIterT, typename _Alloc>
class std::__detail::_SpecializedResults< _FwdIterT, _Alloc >

A _Results facade specialized for wrapping a templated match_results.

Definition at line 55 of file regex_grep_matcher.h.

The documentation for this class was generated from the following file:

- regex_grep_matcher.h